xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Peter De Wachter
License | BSD-style (see LICENSE)
Maintainer | Peter De Wachter <pdewacht@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Circle

Contents

- Usage

Description

Circle is an elliptical, overlapping layout, by Peter De Wachter

Synopsis

- data Circle a = Circle

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Circle

Then edit your `layoutHook` by adding the Circle layout:

    myLayout = Circle ||| Full ||| etc..
    main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Circle a

Constructors

Circle |

Instances

LayoutClass Circle Window |
Read (Circle a) |
Show (Circle a) |